var test = require('tap').test;
var fs = require('fs');
var subfs = require('..');
var os = require('os');
var join = require('path').join;

test('exists', function(t) {
  t.plan(1);
  var dir = join(os.tmpdir(), Math.random().toString(16).slice(2));

  fs.mkdirSync(dir);
  fs.writeFileSync(join(dir, 'file.txt'), 'foobar');

  subfs(fs, dir).exists('file.txt', function(exists) {
    t.ok(exists);
  });
});

test('existsSync', function(t) {
  t.plan(1);
  var dir = join(os.tmpdir(), Math.random().toString(16).slice(2));

  fs.mkdirSync(dir);
  fs.writeFileSync(join(dir, 'file.txt'), 'foobar');

  t.ok(subfs(fs, dir).existsSync('file.txt'));
});

